## ros-galactic-vda5050-connector 1.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(vda5050_connector)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# SETS

set(cpp_dependencies
  rclcpp
  rclcpp_action
  pluginlib
)

set(msg_dependencies
  vda5050_msgs
  geometry_msgs
)

set(library_adapter adapter)

# DEPENDENCIES
find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)
find_package(ament_cmake_ros REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp_action REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclpy REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(tf2 REQUIRED)

find_package(geometry_msgs REQUIRED)
find_package(vda5050_msgs REQUIRED)

# BUILD

rosidl_generate_interfaces(${PROJECT_NAME}
  "action/NavigateToNode.action"
  "action/ProcessVDAAction.action"
  "srv/GetState.srv"
  "srv/SupportedActions.srv"
  DEPENDENCIES vda5050_msgs
  ADD_LINTER_TESTS
)

## EXECUTABLES
add_library(${library_adapter} src/adapter.cpp src/utils.cpp)
target_compile_features(${library_adapter} PUBLIC cxx_std_17)  # Require C++17
target_include_directories(${library_adapter} PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)
ament_target_dependencies(${library_adapter}
  ${cpp_dependencies}
  ${msg_dependencies}
)
rosidl_target_interfaces(${library_adapter}
  ${PROJECT_NAME} "rosidl_typesupport_cpp")

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${library_adapter} PRIVATE "VDA5050_CONNECTOR_BUILDING_LIBRARY")

# INSTALL

## HEADERS
install(
  DIRECTORY include/
  DESTINATION include
)

## LIBRARY
install(
  TARGETS ${library_adapter}
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

## PYTHON MODULES
ament_python_install_package(${PROJECT_NAME})

## PYTHON EXECUTABLES
install(PROGRAMS
  scripts/mqtt_bridge.py
  scripts/vda5050_controller.py
  DESTINATION lib/${PROJECT_NAME}
)

## LAUNCH AND CONFIGURATION FILES
install(DIRECTORY
config
launch
DESTINATION share/${PROJECT_NAME}/)

# TEST

if(BUILD_TESTING)
  find_package(ament_cmake_clang_format REQUIRED)
  find_package(ament_cmake_flake8 REQUIRED)
  find_package(ament_cmake_pep257 REQUIRED)
  find_package(ament_cmake_copyright REQUIRED)
  ament_clang_format("--config" ${CMAKE_CURRENT_SOURCE_DIR}/.clang-format)
  ament_flake8("--config" ${CMAKE_CURRENT_SOURCE_DIR}/.flake8)
  ament_pep257()
  ament_copyright()

  add_subdirectory(test/adapter)
  pluginlib_export_plugin_description_file(vda5050_connector test/adapter/plugins_test.xml)
endif()

# EXPORT

ament_export_include_directories(
  include
)
ament_export_libraries(
  ${library_adapter}
)
ament_export_targets(
  export_${PROJECT_NAME}
)
ament_export_dependencies(
  rosidl_default_runtime
)

ament_package()

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== test/adapter/CMakeLists.txt ===
# DEPENDENCIES
find_package(ament_cmake_gtest REQUIRED)

# MACRO
macro(add_dependencies_to_test target)
if (TARGET ${target})
  target_include_directories(${target} PRIVATE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
    $<INSTALL_INTERFACE:common>)
  ament_target_dependencies(${target} ${cpp_dependencies} ${msg_dependencies})
  target_link_libraries(${target} ${library_adapter})
endif()
endmacro()

## LIBRARY TEST PLUGINS
set(plugins
  common/stub_nav_to_node.cpp
  common/stub_state_handlers.cpp
  common/stub_vda_actions.cpp
)
add_library(test_plugins SHARED ${plugins})
add_dependencies_to_test(test_plugins)

# TEST - NODE CONFIGURATION
ament_add_gtest(test_node_config node_config/node_config_test.cpp)
add_dependencies_to_test(test_node_config)

# TEST - PLUGIN LOAD
ament_add_gtest(test_plugin_load plugin_load/plugin_load_test.cpp)
add_dependencies_to_test(test_plugin_load)

# TEST - PLUGIN LOAD
ament_add_gtest(test_handler_execution handler_execution/handler_execution_test.cpp)
add_dependencies_to_test(test_handler_execution)

install(
  TARGETS test_plugins
  EXPORT test_plugins
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

# EXPORT
ament_export_libraries(test_plugins)
ament_export_targets(test_plugins)

=== debian/changelog ===
ros-galactic-vda5050-connector (1.1.1-2focal) focal; urgency=high

  * Fixed ROS buildfarm job (#29 <https://github.com/inorbit-ai/ros_amr_interop/issues/29>)

 -- Leandro Pineda <leandro@inorbit.ai>  Fri, 28 Oct 2022 03:00:00 -0000

ros-galactic-vda5050-connector (1.1.0-2focal) focal; urgency=high

  * Added VDA5050 connector package (#28 <https://github.com/inorbit-ai/ros_amr_interop/issues/28>)

 -- Leandro Pineda <leandro@inorbit.ai>  Mon, 17 Oct 2022 03:00:00 -0000

=== debian/control ===
Source: ros-galactic-vda5050-connector
Section: misc
Priority: optional
Maintainer: Leandro Pineda <leandro@inorbit.ai>
Build-Depends: debhelper (>= 9.0.0), python3-paho-mqtt, python3-pytest <!nocheck>, ros-galactic-ament-cmake, ros-galactic-ament-cmake-clang-format <!nocheck>, ros-galactic-ament-cmake-copyright <!nocheck>, ros-galactic-ament-cmake-cppcheck <!nocheck>, ros-galactic-ament-cmake-cpplint <!nocheck>, ros-galactic-ament-cmake-flake8 <!nocheck>, ros-galactic-ament-cmake-gtest <!nocheck>, ros-galactic-ament-cmake-pep257 <!nocheck>, ros-galactic-ament-cmake-python, ros-galactic-ament-cmake-ros, ros-galactic-ament-cmake-uncrustify <!nocheck>, ros-galactic-ament-copyright <!nocheck>, ros-galactic-ament-flake8 <!nocheck>, ros-galactic-ament-pep257 <!nocheck>, ros-galactic-geometry-msgs, ros-galactic-pluginlib, ros-galactic-rclcpp, ros-galactic-rclcpp-action, ros-galactic-rclpy, ros-galactic-rosidl-default-generators, ros-galactic-rosidl-runtime-py, ros-galactic-tf2, ros-galactic-vda5050-msgs, ros-galactic-ros-workspace, ros-galactic-rosidl-typesupport-fastrtps-c, ros-galactic-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-vda5050-connector
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-paho-mqtt, ros-galactic-geometry-msgs, ros-galactic-pluginlib, ros-galactic-rclcpp, ros-galactic-rclcpp-action, ros-galactic-rclpy, ros-galactic-rosidl-runtime-py, ros-galactic-tf2, ros-galactic-vda5050-msgs, ros-galactic-ros-workspace
Description: ROS2 to VDA5050 / VDA5050 to ROS2 connector

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-vda5050-connector//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
